petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCompositeRestoreAccessArray

Returns the vectors obtained with DMCompositeGetAccessArray()

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeRestoreAccessArray(DM dm,Vec pvec,PetscInt nwanted,const PetscInt *wanted,Vec *vecs)

Collective on DMComposite

### Input Parameters

| dm | - the packer object
| pvec | - packed vector
| nwanted | - number of vectors wanted
| wanted | - sorted array of vectors wanted, or NULL to get all vectors
| vecs | - array of global vectors to return

### See Also

DMCompositeRestoreAccess(), DMCompositeRestoreEntries(), DMCompositeScatter(), DMCompositeGather()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages